StatusServlet (Shibboleth Identity Provider 2.2.0 Java API.)
Date: 2010-09-23

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.idp
Class StatusServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              edu.internet2.middleware.shibboleth.idp.StatusServlet

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class StatusServlet

extends javax.servlet.http.HttpServlet

A Servlet for displaying the status of the IdP.

See Also:
  Serialized Form

Constructor Summary
`StatusServlet()`

Method Summary
`protected void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` | `init(javax.servlet.ServletConfig config)`
`protected boolean` | `isAuthenticated(javax.servlet.http.HttpServletRequest request)` Checks whether the client is authenticated.
`protected void` | `printIdPInformation(PrintWriter out)` Prints out general IdP information.
`protected void` | `printOperatingEnvironmentInformation(PrintWriter out)` Prints out information about the operating environment.
`protected void` | `printRelyingPartyConfigurationInformation(PrintWriter out, edu.internet2.middleware.shibboleth.common.relyingparty.RelyingPartyConfiguration config)` Prints out the information for a specific relying party configuration.
`protected void` | `printRelyingPartyConfigurationsInformation(PrintWriter out, String relyingPartyId)` Prints information about relying party configurations.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatusServlet

    public StatusServlet()

Method Detail

### init

    public void init(javax.servlet.ServletConfig config)
              throws javax.servlet.ServletException

  Specified by:
    `init` in interface `javax.servlet.Servlet`
  Overrides:
    `init` in class `javax.servlet.GenericServlet`
  Throws:
    `javax.servlet.ServletException`

### doGet

    protected void doGet(javax.servlet.http.HttpServletRequest request,
                         javax.servlet.http.HttpServletResponse response)
                  throws javax.servlet.ServletException,
                         IOException

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Throws:
    `javax.servlet.ServletException`
    `IOException`

### isAuthenticated

    protected boolean isAuthenticated(javax.servlet.http.HttpServletRequest request)
                               throws javax.servlet.ServletException

  Checks whether the client is authenticated.

  Parameters:
    `request` - client request
  Returns:
    true if the client is authenticated, false if not
  Throws:
    `javax.servlet.ServletException`

### printOperatingEnvironmentInformation

    protected void printOperatingEnvironmentInformation(PrintWriter out)

  Prints out information about the operating environment. This includes the operating system name, version and architecture, the JDK version, available CPU cores, memory currently used by the JVM process, the maximum amount of memory that may be used by the JVM, and the current time in UTC.

  Parameters:
    `out` - output writer to which information will be written

### printIdPInformation

    protected void printIdPInformation(PrintWriter out)

  Prints out general IdP information. This includes IdP version, start up time, and whether the attribute resolver is currently operational.

  Parameters:
    `out` - output writer to which information will be written

### printRelyingPartyConfigurationsInformation

    protected void printRelyingPartyConfigurationsInformation(PrintWriter out,
                                                              String relyingPartyId)

  Prints information about relying party configurations. If the given relying party is null then the configuration for all relying parties is printed. If the relying party ID is not null then the relying party configurations for that entity is printed.

  Parameters:
    `out` - output writer to which information will be written
    `relyingPartyId` - entity ID of the relying party whose configuration should be printed

### printRelyingPartyConfigurationInformation

    protected void printRelyingPartyConfigurationInformation(PrintWriter out,
                                                             edu.internet2.middleware.shibboleth.common.relyingparty.RelyingPartyConfiguration config)

  Prints out the information for a specific relying party configuration. This information includes the relying party or relying party group ID, the entity ID of the IdP when it responds when using this configuration, the default authentication method used for this config, and configured communication profiles.

  Parameters:
    `out` - output writer to which information will be written
    `config` - the relying party configuration

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Internet2. All Rights Reserved.